## de.ix.jspTutorial.taglib
Class FormatCurrency

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--de.ix.jspTutorial.taglib.FormatCurrency

public class FormatCurrency
extends javax.servlet.jsp.tagext.BodyTagSupport

A simple german currency double formatter

     <%@ taglib uri="/ixtaglib" prefix="jsptut" %>
     ...
     <jsptut:curreny value="9.3456" />
     out are 9.35
     ...

Version:
  $Id:$
Author:
  Peter Rossbach ( pr@webapp.de )
See Also:
  Serialized Form

Field Summary
`(package private) java.text.DecimalFormat` `myFormat` output format
`private double` `myValue` the current Value
`static java.lang.String` `vcid` Source-Version

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Constructor Summary
`FormatCurrency()` Set the format

Method Summary
`int` `doAfterBody()` Output the current money value
`protected java.lang.String` `formatCurrency(double aCurrencyValue)` Formatierung the Money value with to two Position after .
`double` `getValue()` Get current formatting Value
`void` `setValue(double aValue)`
`void` `setValue(java.lang.Double aValue)`
`void` `setValue(java.lang.String aValue)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  Source-Version

### myValue

    private double myValue

  the current Value

### myFormat

    java.text.DecimalFormat myFormat

  output format

Constructor Detail

### FormatCurrency

    public FormatCurrency()

  Set the format

Method Detail

### getValue

    public double getValue()

  Get current formatting Value

### setValue

    public void setValue(java.lang.String aValue)

### setValue

    public void setValue(double aValue)

### setValue

    public void setValue(java.lang.Double aValue)

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Output the current money value
  Overrides:
    doAfterBody in class javax.servlet.jsp.tagext.BodyTagSupport

### formatCurrency

    protected java.lang.String formatCurrency(double aCurrencyValue)

  Formatierung the Money value with to two Position after .
  Parameters:
    `aCurrencyValue` - the money value

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~